Bug 235693 - Migrate _UITextSearching implementation to be backed by WebFoundTextRangeController
Summary: Migrate _UITextSearching implementation to be backed by WebFoundTextRangeCont...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Aditya Keerthi
URL:
Keywords: InRadar
Depends on: 235691
Blocks: 235830
  Show dependency treegraph
 
Reported: 2022-01-26 23:42 PST by Aditya Keerthi
Modified: 2022-01-28 15:13 PST (History)
5 users (show)

See Also:


Attachments
Patch (20.29 KB, patch)
2022-01-27 11:58 PST, Aditya Keerthi
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (20.29 KB, patch)
2022-01-27 14:32 PST, Aditya Keerthi
no flags Details | Formatted Diff | Diff
Patch (21.05 KB, patch)
2022-01-27 23:40 PST, Aditya Keerthi
thorton: review+
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch for landing (21.77 KB, patch)
2022-01-28 14:04 PST, Aditya Keerthi
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aditya Keerthi 2022-01-26 23:42:10 PST
...
Comment 1 Aditya Keerthi 2022-01-26 23:42:19 PST
rdar://88117303
Comment 2 Aditya Keerthi 2022-01-27 11:58:05 PST
Created attachment 450164 [details]
Patch
Comment 3 Aditya Keerthi 2022-01-27 14:32:14 PST
Created attachment 450180 [details]
Patch
Comment 4 Aditya Keerthi 2022-01-27 23:40:15 PST
Created attachment 450208 [details]
Patch
Comment 5 Tim Horton 2022-01-28 12:23:05 PST
Comment on attachment 450208 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=450208&action=review

> Source/WebKit/UIProcess/ios/WKContentViewInteraction.mm:10084
> +    _page->findTextRangesForStringMatches(string, findOptions, 1000, [string, aggregator = retainPtr(aggregator)](const Vector<WebKit::WebFoundTextRange> ranges) {

Not a regression but kind of odd that this `1000` is just chilling here inline without a name.
Comment 6 Aditya Keerthi 2022-01-28 14:04:58 PST
Created attachment 450275 [details]
Patch for landing
Comment 7 Aditya Keerthi 2022-01-28 14:06:00 PST
(In reply to Tim Horton from comment #5)
> Comment on attachment 450208 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=450208&action=review
> 
> > Source/WebKit/UIProcess/ios/WKContentViewInteraction.mm:10084
> > +    _page->findTextRangesForStringMatches(string, findOptions, 1000, [string, aggregator = retainPtr(aggregator)](const Vector<WebKit::WebFoundTextRange> ranges) {
> 
> Not a regression but kind of odd that this `1000` is just chilling here
> inline without a name.

Added a comment and a variable.
Comment 8 EWS 2022-01-28 15:13:52 PST
Committed r288762 (246550@main): <https://commits.webkit.org/246550@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 450275 [details].